org.apache.ode.bpel.pmapi

## Interface FaultType

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    FaultTypeImpl

      public interface FaultType
      extends org.apache.xmlbeans.XmlObject

  An XML FaultType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FaultType.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlObject` | `addNewMessage()` Appends and returns a new empty "message" element
    `java.lang.String` | `getExplanation()` Gets the "explanation" element
    `org.apache.xmlbeans.XmlObject` | `getMessage()` Gets the "message" element
    `javax.xml.namespace.QName` | `getType()` Gets the "type" element
    `void` | `setExplanation(java.lang.String explanation)` Sets the "explanation" element
    `void` | `setMessage(org.apache.xmlbeans.XmlObject message)` Sets the "message" element
    `void` | `setType(javax.xml.namespace.QName type)` Sets the "type" element
    `org.apache.xmlbeans.XmlString` | `xgetExplanation()` Gets (as xml) the "explanation" element
    `org.apache.xmlbeans.XmlQName` | `xgetType()` Gets (as xml) the "type" element
    `void` | `xsetExplanation(org.apache.xmlbeans.XmlString explanation)` Sets (as xml) the "explanation" element
    `void` | `xsetType(org.apache.xmlbeans.XmlQName type)` Sets (as xml) the "type" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getType

          javax.xml.namespace.QName getType()

      Gets the "type" element

    - #### xgetType

          org.apache.xmlbeans.XmlQName xgetType()

      Gets (as xml) the "type" element

    - #### setType

          void setType(javax.xml.namespace.QName type)

      Sets the "type" element

    - #### xsetType

          void xsetType(org.apache.xmlbeans.XmlQName type)

      Sets (as xml) the "type" element

    - #### getExplanation

          java.lang.String getExplanation()

      Gets the "explanation" element

    - #### xgetExplanation

          org.apache.xmlbeans.XmlString xgetExplanation()

      Gets (as xml) the "explanation" element

    - #### setExplanation

          void setExplanation(java.lang.String explanation)

      Sets the "explanation" element

    - #### xsetExplanation

          void xsetExplanation(org.apache.xmlbeans.XmlString explanation)

      Sets (as xml) the "explanation" element

    - #### getMessage

          org.apache.xmlbeans.XmlObject getMessage()

      Gets the "message" element

    - #### setMessage

          void setMessage(org.apache.xmlbeans.XmlObject message)

      Sets the "message" element

    - #### addNewMessage

          org.apache.xmlbeans.XmlObject addNewMessage()

      Appends and returns a new empty "message" element